Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDEMReader Class Reference

`#include <vtkDEMReader.h>`

Inheritance diagram for vtkDEMReader:

[legend]
Collaboration diagram for vtkDEMReader:

[legend]
List of all members.

## Detailed Description

read a digital elevation model (DEM) file

Date:
  2002/05/31 23:12:41

Revision:
  1.27

vtkDEMReader reads digital elevation files and creates image data. Digital elevation files are produced by the US Geological Survey. A complete description of the DEM file is located at the USGS site. The reader reads the entire dem file and create a vtkImageData that contains a single scalar component that is the elevation in meters. The spacing is also expressed in meters. A number of get methods provide access to fields on the header.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (86%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkDEMReader.cxx)`
  - .`h` (`/IO/vtkDEMReader.h)`

Examples:
  vtkDEMReader (Examples)

Tests:
  vtkDEMReader (Tests)

Definition at line 53 of file vtkDEMReader.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ExecuteInformation ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual char * | GetMapLabel ()
virtual int | GetDEMLevel ()
virtual int | GetElevationPattern ()
virtual int | GetGroundSystem ()
virtual int | GetGroundZone ()
virtual float * | GetProjectionParameters ()
virtual void | GetProjectionParameters (float data[15])
virtual int | GetPlaneUnitOfMeasure ()
virtual int | GetElevationUnitOfMeasure ()
virtual int | GetPolygonSize ()
virtual float * | GetElevationBounds ()
virtual void | GetElevationBounds (float data[2])
virtual float | GetLocalRotation ()
virtual int | GetAccuracyCode ()
virtual float * | GetSpatialResolution ()
virtual void | GetSpatialResolution (float data[3])
virtual int * | GetProfileDimension ()
virtual void | GetProfileDimension (int data[2])
## Static Public Methods
vtkDEMReader * | New ()
int | IsTypeOf (const char *type)
vtkDEMReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDEMReader ()
| ~vtkDEMReader ()
void | ComputeExtentOriginAndSpacing (int extent[6], float origin[6], float spacing[6])
int | ReadTypeARecord ()
int | ReadProfiles (vtkImageData *data)
void | ExecuteData (vtkDataObject *out)
## Protected Attributes
vtkTimeStamp | ReadHeaderTime
int | NumberOfColumns
int | NumberOfRows
int | WholeExtent [6]
char * | FileName
char | MapLabel [145]
int | DEMLevel
int | ElevationPattern
int | GroundSystem
int | GroundZone
float | ProjectionParameters [15]
int | PlaneUnitOfMeasure
int | ElevationUnitOfMeasure
int | PolygonSize
float | GroundCoords [4][2]
float | ElevationBounds [2]
float | LocalRotation
int | AccuracyCode
float | SpatialResolution [3]
int | ProfileDimension [2]
int | ProfileSeekOffset

## Member Typedef Documentation

typedef vtkImageSource vtkDEMReader::Superclass

| Reimplemented from vtkImageSource. Definition at line 57 of file vtkDEMReader.h.

## Constructor & Destructor Documentation

vtkDEMReader::vtkDEMReader | ( |  | ) | `[protected]`

vtkDEMReader::~vtkDEMReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDEMReader* vtkDEMReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDEMReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkDEMReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkDEMReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkDEMReader* vtkDEMReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkDEMReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkDEMReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of Digital Elevation Model (DEM) file

virtual char* vtkDEMReader::GetFileName | ( |  | ) | `[virtual]`

| Specify file name of Digital Elevation Model (DEM) file

virtual char* vtkDEMReader::GetMapLabel | ( |  | ) | `[virtual]`

| An ASCII description of the map

virtual int vtkDEMReader::GetDEMLevel | ( |  | ) | `[virtual]`

| Code 1=DEM-1, 2=DEM_2, ...

virtual int vtkDEMReader::GetElevationPattern | ( |  | ) | `[virtual]`

| Code 1=regular, 2=random, reserved for future use

virtual int vtkDEMReader::GetGroundSystem | ( |  | ) | `[virtual]`

| Ground planimetric reference system

virtual int vtkDEMReader::GetGroundZone | ( |  | ) | `[virtual]`

| Zone in ground planimetric reference system

virtual float* vtkDEMReader::GetProjectionParameters | ( |  | ) | `[virtual]`

| Map Projection parameters. All are zero.

virtual void vtkDEMReader::GetProjectionParameters | ( | float | data[15] | ) | `[virtual]`

| Map Projection parameters. All are zero.

virtual int vtkDEMReader::GetPlaneUnitOfMeasure | ( |  | ) | `[virtual]`

| Defining unit of measure for ground planimetric coordinates throughout the file. 0 = radians, 1 = feet, 2 = meters, 3 = arc-seconds.

virtual int vtkDEMReader::GetElevationUnitOfMeasure | ( |  | ) | `[virtual]`

| Defining unit of measure for elevation coordinates throughout the file. 1 = feet, 2 = meters

virtual int vtkDEMReader::GetPolygonSize | ( |  | ) | `[virtual]`

| Number of sides in the polygon which defines the coverage of the DEM file. Set to 4.

virtual float* vtkDEMReader::GetElevationBounds | ( |  | ) | `[virtual]`

| Minimum and maximum elevation for the DEM. The units in the file are in ElevationUnitOfMeasure. This class converts them to meters.

virtual void vtkDEMReader::GetElevationBounds | ( | float | data[2] | ) | `[virtual]`

| Minimum and maximum elevation for the DEM. The units in the file are in ElevationUnitOfMeasure. This class converts them to meters.

virtual float vtkDEMReader::GetLocalRotation | ( |  | ) | `[virtual]`

| Counterclockwise angle (in radians) from the primary axis of the planimetric reference to the primary axis of the DEM local reference system. IGNORED BY THIS IMPLEMENTATION.

virtual int vtkDEMReader::GetAccuracyCode | ( |  | ) | `[virtual]`

| Accuracy code for elevations. 0=unknown accuracy

virtual float* vtkDEMReader::GetSpatialResolution | ( |  | ) | `[virtual]`

| DEM spatial resolution for x,y,z. Values are expressed in units of resolution. Since elevations are read as integers, this permits fractional elevations.

virtual void vtkDEMReader::GetSpatialResolution | ( | float | data[3] | ) | `[virtual]`

| DEM spatial resolution for x,y,z. Values are expressed in units of resolution. Since elevations are read as integers, this permits fractional elevations.

virtual int* vtkDEMReader::GetProfileDimension | ( |  | ) | `[virtual]`

| The number of rows and columns in the DEM.

virtual void vtkDEMReader::GetProfileDimension | ( | int | data[2] | ) | `[virtual]`

| The number of rows and columns in the DEM.

void vtkDEMReader::ExecuteInformation | ( |  | ) | `[virtual]`

| Reads the DEM Type A record to compute the extent, origin and spacing of the image data. The number of scalar components is set to 1 and the output scalar type is VTK_FLOAT. Reimplemented from vtkSource.

void vtkDEMReader::ComputeExtentOriginAndSpacing | ( | int | extent[6],
|  | float | origin[6],
|  | float | spacing[6]
| ) | `[protected]`

int vtkDEMReader::ReadTypeARecord | ( |  | ) | `[protected]`

int vtkDEMReader::ReadProfiles | ( | vtkImageData * | data | ) | `[protected]`

void vtkDEMReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected]`

## Member Data Documentation

vtkTimeStamp vtkDEMReader::ReadHeaderTime`[protected]`

| Definition at line 154 of file vtkDEMReader.h.

int vtkDEMReader::NumberOfColumns`[protected]`

| Definition at line 155 of file vtkDEMReader.h.

int vtkDEMReader::NumberOfRows`[protected]`

| Definition at line 156 of file vtkDEMReader.h.

int vtkDEMReader::WholeExtent[6]`[protected]`

| Definition at line 157 of file vtkDEMReader.h.

char* vtkDEMReader::FileName`[protected]`

| Definition at line 158 of file vtkDEMReader.h.

char vtkDEMReader::MapLabel[145]`[protected]`

| Definition at line 159 of file vtkDEMReader.h.

int vtkDEMReader::DEMLevel`[protected]`

| Definition at line 160 of file vtkDEMReader.h.

int vtkDEMReader::ElevationPattern`[protected]`

| Definition at line 161 of file vtkDEMReader.h.

int vtkDEMReader::GroundSystem`[protected]`

| Definition at line 162 of file vtkDEMReader.h.

int vtkDEMReader::GroundZone`[protected]`

| Definition at line 163 of file vtkDEMReader.h.

float vtkDEMReader::ProjectionParameters[15]`[protected]`

| Definition at line 164 of file vtkDEMReader.h.

int vtkDEMReader::PlaneUnitOfMeasure`[protected]`

| Definition at line 165 of file vtkDEMReader.h.

int vtkDEMReader::ElevationUnitOfMeasure`[protected]`

| Definition at line 166 of file vtkDEMReader.h.

int vtkDEMReader::PolygonSize`[protected]`

| Definition at line 167 of file vtkDEMReader.h.

float vtkDEMReader::GroundCoords[4][2]`[protected]`

| Definition at line 168 of file vtkDEMReader.h.

float vtkDEMReader::ElevationBounds[2]`[protected]`

| Definition at line 169 of file vtkDEMReader.h.

float vtkDEMReader::LocalRotation`[protected]`

| Definition at line 170 of file vtkDEMReader.h.

int vtkDEMReader::AccuracyCode`[protected]`

| Definition at line 171 of file vtkDEMReader.h.

float vtkDEMReader::SpatialResolution[3]`[protected]`

| Definition at line 172 of file vtkDEMReader.h.

int vtkDEMReader::ProfileDimension[2]`[protected]`

| Definition at line 173 of file vtkDEMReader.h.

int vtkDEMReader::ProfileSeekOffset`[protected]`

| Definition at line 174 of file vtkDEMReader.h.

The documentation for this class was generated from the following file:

- IO/vtkDEMReader.h